package net.lenharts.gwt.sampleiphoneapp.client.view;

import net.lenharts.gwt.sampleiphoneapp.client.Controller;
import net.lenharts.gwt.sampleiphoneapp.client.model.InfiniteDepthPage;
import net.lenharts.gwt.sampleiphoneapp.client.util.GenericContainerTag;
import net.lenharts.gwt.sampleiphoneapp.client.util.GenericTextTag;
import net.lenharts.gwt.sampleiphoneapp.client.util.TouchClickEvent;

import com.google.gwt.user.client.ui.FlowPanel;

public class InfiniteDepthPagePanel extends AbstractPagePanel {

	private InfiniteDepthPage mPage;

	public InfiniteDepthPagePanel(InfiniteDepthPage page) {

		FlowPanel basePanel = new FlowPanel();
		// basePanel.setStyleName("page");

		mPage = page;

		GenericContainerTag ul = new GenericContainerTag("ul");
		basePanel.add(ul);

		GenericTextTag<String> li = new GenericTextTag<String>("li",
				"Infinite Depth");
		li.setStyleName("group");
		ul.add(li);

		li.addHandler(new TouchClickEvent.TouchClickHandler<String>() {
			@Override
			public void touchClick(TouchClickEvent<String> e) {
				// attachedInfo is the relative URL
				if (!ViewSettings.AnimationRunning) {
					Controller.navigateToNextInfiniteListItem(mPage);
				}
			}
		});

		initWidget(basePanel);
	}

}
