package net.lenharts.gwt.sampleiphoneapp.client.model;

public class InfiniteDepthPage implements IPage {

	// only used on the first InfinitePage, otherwise it is null:
	private String mLastTitle;

	private int mMyTitleNumber;

	public InfiniteDepthPage(String lastTitle) {
		mLastTitle = lastTitle;
		mMyTitleNumber = 1;
	}

	public InfiniteDepthPage(String lastTitle, int lastTitleNumber) {
		mLastTitle = null;
		mMyTitleNumber = lastTitleNumber + 1;
	}

	public int getMyTitleNumber() {
		return mMyTitleNumber;
	}

	@Override
	public String getBackButtonText() {
		if (mLastTitle == null) {
			return "Infinite " + (mMyTitleNumber - 1);
		} else {
			return mLastTitle;
		}
	}

	@Override
	public String getTitle() {
		return "Infinite " + mMyTitleNumber;
	}
}