package net.lenharts.gwt.sampleiphoneapp.client.view;

import net.lenharts.gwt.sampleiphoneapp.client.Controller;
import net.lenharts.gwt.sampleiphoneapp.client.model.GroupPage;
import net.lenharts.gwt.sampleiphoneapp.client.util.GenericContainerTag;
import net.lenharts.gwt.sampleiphoneapp.client.util.GenericTextTag;
import net.lenharts.gwt.sampleiphoneapp.client.util.TouchClickEvent;

import com.google.gwt.user.client.ui.FlowPanel;

public class GroupPagePanel extends AbstractPagePanel {

	public GroupPagePanel(GroupPage groupPage) {

		FlowPanel basePanel = new FlowPanel();
		// basePanel.setStyleName("page");

		GenericContainerTag ul = new GenericContainerTag("ul");
		basePanel.add(ul);

		for (GroupPage.Team team : groupPage.getTeams()) {
			GenericTextTag<String> li = new GenericTextTag<String>("li", team
					.getName());
			li.setStyleName("item");

			ul.add(li);
		}

		GenericTextTag<String> li = new GenericTextTag<String>("li",
				"Infinite Depth");
		li.addHandler(new TouchClickEvent.TouchClickHandler<String>() {
			@Override
			public void touchClick(TouchClickEvent<String> e) {
				if (!ViewSettings.AnimationRunning) {
					Controller.navigateToFirstInfiniteListItem();
				}
			}
		});
		li.setStyleName("group");
		ul.add(li);

		initWidget(basePanel);
	}

}
